December 10, 2018, 08:42:21 AM

Author Topic: Submit your bugs!  (Read 7410 times)

Offline Shinji

  • Level 7 Expert
  • *****
  • Posts: 162
  • Country: 00
  • Decend.
    • World Wide Terror
Re: Submit your bugs!
« Reply #30 on: February 16, 2018, 10:41:08 AM »
I think I actually solved this and it was due to not having got rid of all the default files. I will try to replicate it though. Also found my old account.
"The whole secret of existence is to have no fear. Never fear what will become of you, depend on no one. Only the moment you reject all help are you freed."

Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 888
  • Country: de
  • Pokemon Master!
Re: Submit your bugs!
« Reply #31 on: February 16, 2018, 01:37:13 PM »
You are right I think. This propably Happens when wcs tries to load the races from the Database when it does not exist on the server anymore.

Offline Romero

  • Level 0 Beginner
  • Posts: 16
  • Country: ru
  • Hi there! You're look nice :3
Re: Submit your bugs!
« Reply #32 on: February 19, 2018, 01:52:34 AM »
Hello! (again :P)
I'm very lucky for bugs D:

On a clear wcs, I used the Flame Predator race, then left the server.
An hour later I reconnected to the server, my race was a Flame predator. When I changed the race to human and got 3-4 levels - spendskills menu did not appear. When I try to open it via wcsmenu - the same problem, spendskills menu did not appear.
"spendskills" in chat - the same problem.

Then I checked the console:
Code: [Select]
[SP] Caught an Exception:
Traceback (most recent call last):
File "../addons/source-python/packages/source-python/commands/auth.py", line 44, in __call__
return self.callback(*args)
File "../addons/source-python/packages/source-python/menus/queue.py", line 267, in _menuselect_callback
_radio_queues[index]._select(choice)
File "../addons/source-python/packages/source-python/menus/queue.py", line 126, in _select
next_menu = active_menu._select(self._index, choice)
File "../addons/source-python/packages/source-python/menus/radio.py", line 113, in _select
self._player_pages[player_index].options[choice_index])
File "../addons/source-python/packages/source-python/menus/base.py", line 122, in _select
return self.select_callback(self, player_index, choice_index)
File "../addons/source-python/plugins/wcs/wcsmenu.py", line 38, in _main_menu_select
spendskills.doCommand(userid)
File "../addons/source-python/plugins/wcs/spendskills.py", line 33, in doCommand
if int(skillneeded[number]) > wcs.wcs.wcsplayers[userid].all_races[race]['level']:
IndexError: list index out of range

(Sorry for any inaccuracies in translation. My English is so bad :D)
« Last Edit: February 19, 2018, 01:55:10 AM by Romero »

Offline Justflawless

  • Level 0 Beginner
  • Posts: 4
  • <3 WCS :)
Re: Submit your bugs!
« Reply #33 on: February 25, 2018, 03:51:41 PM »
Hi guys!

I tried to install wcs which is kind of working but I am experiencing some issues. I did install all latest versions.

Losing levels over time.

Some skills are not working:
- Speed (boots doesnt work)
- Gravity (boots of feather actually does work)
- Fly
- Serpent ward (says creating ward but doenst show a circle and doesnt do any dmg)

[Spoiler]
Quote
#Skill specific information
    [[skill1]]
        setting = "es_xset wcs_chance 5|es_xset wcs_chance 7|es_xset wcs_chance 9|es_xset wcs_chance 11|es_xset wcs_chance 12|es_xset wcs_chance 13|es_xset wcs_chance 14|es_xset wcs_chance 15"
        cmd     = "es_xdoblock wcs/races/undead_scourge/vampire"
        sfx     = ""

    [[skill2]]
        setting = "es_xset wcs_speed 1.1|es_xset wcs_speed 1.15|es_xset wcs_speed 1.2|es_xset wcs_speed 1.25|es_xset wcs_speed 1.3|es_xset wcs_speed 1.35|es_xset wcs_speed 1.4|es_xset wcs_speed 1.45"
        cmd     = "es_xdoblock wcs/races/undead_scourge/unholy"
        sfx     = ""

[[skill3]]
        setting = "es_xset wcs_count 1;es_xset wcs_params 10_12_200|es_xset wcs_count 1;es_xset wcs_params 12_14_220|es_xset wcs_count 2;es_xset wcs_params 14_16_240|es_xset wcs_count 2;es_xset wcs_params 14_18_260|es_xset wcs_count 3;es_xset wcs_params 14_20_280"
        cmd     = "es_xdoblock wcs/races/shadow_hunter/ward"
        sfx     = ""

[Spoiler]
Quote
block load
{
   es_xset wcs_uid 0
   es_xset wcs_dmg 0
   es_xset wcs_radius2 0
   es_xset wcs_team_target 0
   es_xset wcs_team_targetn 0
   es_xset wcs_wardenround 0
   es_xset wcs_exists 0
   es_xexists wcs_exists command wcs_warden
   if (server_var(wcs_exists) = 0) then es_xregcmd wcs_warden races/shadow_hunter/wcs_warden "Warden, deals damage to nearby enemies"
}

block wcs_warden
{
   es_xgetargv wcs_uid 1
   es_xgetargv wcs_duration 2
   es_xgetargv wcs_dmg 3
   es_xgetargv wcs_radius2 4
   es_xgetargv wcs_team_target 5
   es_xgetargv wcs_team_targetn 6
   es_xgetargv wcs_x1 7
   es_xgetargv wcs_y1 8
   es_xgetargv wcs_z1 9
   es_xgetargv wcs_wardenround 10
   es_exists wcs_exists userid server_var(wcs_uid)
   es_getlivingplayercount wcs_tmp12 server_var(wcs_team_target)
   if (server_var(wcs_tmp12) < 1) then es_xset wcs_exists 0
   if (server_var(wcs_wardenround) != server_var(wcs_roundcounter)) then es_xset wcs_duration 0
   if (server_var(wcs_exists) = 1) do
   {
      es_getplayerteam wcs_team server_var(wcs_uid)
      es_set wcs_math 5
      es_math wcs_math - server_var(wcs_team)
      if (server_var(wcs_math) == server_var(wcs_team_target)) do
      {
         if (server_var(wcs_duration) > 0) do
         {
            if (server_var(wcs_radius2) != "0") do
            {
               if (server_var(wcs_team_targetn) != "0") do
               {
                  es_getplayerteam wcs_team server_var(wcs_uid)
                  if (server_var(wcs_team) = 2) do
                  {
                     es_xset wcs_red 120
                     es_xset wcs_green 20
                     es_xset wcs_blue 20
                     es_xset wcs_flare sprites/combineball_glow_red_1.vmt
                  }
                  if (server_var(wcs_team) = 3) do
                  {
                     es_xset wcs_red 20
                     es_xset wcs_green 20
                     es_xset wcs_blue 120
                     es_xset wcs_flare sprites/combineball_glow_blue_1.vmt
                  }
                  es_set wcs_x3 server_var(wcs_x1)
                  es_set wcs_y3 server_var(wcs_y1)
                  es_set wcs_z3 server_var(wcs_z1)
                  es_set wcs_radius4 server_var(wcs_radius2)
                  es_xmath wcs_radius4 * 2
                  es_set wcs_radius3 server_var(wcs_radius4)
                  es_xmath wcs_radius3 + 1
                  es_xmath wcs_z3 + 95
                  es est_effect 11 #a 0 server_var(wcs_flare) server_var(wcs_x3) server_var(wcs_y3) server_var(wcs_z3) 1 .45 175
                  es est_effect 10 #a 0 server_var(wcs_flare) server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) server_var(wcs_radius4) server_var(wcs_radius3) 1 20 10 .3 255 255 255 130 10
                  es est_effect 10 #a 0 server_var(wcs_flare) server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 10 server_var(wcs_radius4) 1 20 10 .3 255 255 255 130 10
                  es_createvectorstring vector3 server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1)
                  es_createvectorstring vector5 server_var(wcs_x3) server_var(wcs_y3) server_var(wcs_z3)
                  es est_effect_06 #a 0 server_var(wcs_flare) server_var(vector3) server_var(vector5) 1 1 18 1 0 0 255 150 70 125 10
                  es est_effect_06 #a 0 sprites/lgtning.vmt server_var(vector3) server_var(vector5) 1 1 14 1 0 0 server_var(wcs_red) server_var(wcs_green) server_var(wcs_blue) 115 10
                  alias wcs_run_warden "es_getplayerlocation wcs_x2 wcs_y2 wcs_z2 server_var(wcs_targetid);es_math wcs_z2 + 25;es_createvectorstring vector4 server_var(wcs_x2) server_var(wcs_y2) server_var(wcs_z2);es est_effect_06 #a 0 server_var(wcs_flare) server_var(vector4) server_var(vector3) 1 1 8 4 0 0 255 150 70 125 15;es est_effect_06 #a 0 sprites/lgtning.vmt server_var(vector4) server_var(vector3) 1 1 8 4 0 0 server_var(wcs_red) server_var(wcs_green) server_var(wcs_blue) 115 15;wcs_run_warden2"
                  alias wcs_run_warden2 "es wcsgroup get swardinvul wcs_shopvar server_var(wcs_targetid);if (server_var(wcs_shopvar) = 0) then wcs_run_warden3"
                  alias wcs_run_warden3 "es wcs_dealdamage server_var(wcs_targetid) server_var(wcs_uid) server_var(wcs_dmg);es_tell server_var(wcs_uid) #multi #green [WCS]: #lightgreen Serpent ward - Dealt server_var(wcs_dmg) damage;es_tell server_var(wcs_targetid) #multi #green [WCS]: #lightgreen Serpent ward - Took server_var(wcs_dmg) damage"
                  es wcs_nearcoord wcs_targetid server_var(wcs_team_targetn) server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) server_var(wcs_radius2) "es_getplayerprop wcs_dead server_var(wcs_targetid) CCSPlayer.baseclass.pl.deadflag;if (server_var(wcs_dead) = 0) then wcs_run_warden"
                  es_xmath wcs_duration - 1
                  es_delayed 1 wcs_warden server_var(wcs_uid) server_var(wcs_duration) server_var(wcs_dmg) server_var(wcs_radius2) server_var(wcs_team_target) server_var(wcs_team_targetn) server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) server_var(wcs_wardenround)
               }
            }
         }
      }
   }
}

block spawn
{
   es_getplayerlocation wcs_x1 wcs_y1 wcs_z1 event_var(userid)
   es_getplayerlocation wcs_x2 wcs_y2 wcs_z2 event_var(userid)
   es_xmath wcs_z2 + 23
   es est_effect 11 #a 0 effects/bluemuzzle.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 2 0.3 200
   es_xmath wcs_z2 + 127
   es est_effect 3 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) server_var(wcs_x2) server_var(wcs_y2) server_var(wcs_z2) 2 20 15 255 255 255 150
   es_xmath wcs_z1 + 10
   es est_effect 10 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 101 100 2 10 10 0 255 255 255 255 0
   es_xmath wcs_z1 + 20
   es est_effect 10 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 60 61 2 8 10 0 255 255 255 255 1
   es_xmath wcs_z1 + 5
   es est_effect 10 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 61 60 2 8 10 0 255 255 255 255 1
   es_xmath wcs_z1 + 20
   es est_effect 10 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 100 101 2 10 10 0 255 255 255 255 0
}

block heal
{
   es_xrand wcs_rand 3 15
   es_xrand wcs_duration 3 8
   es_delayed 1 wcs_regeneration event_var(userid) server_var(wcs_rand) server_var(wcs_duration) server_var(wcs_maxhealth) 1000 250
}

block hex
{
   if (server_var(wcs_dice2) <= 10) do
   {
      if (event_var(es_userdead) = 0) do
      {
         if (event_var(es_attackerdead) = 0) do
         {
            es wcsgroup get is_slowed wcs_tmp3 event_var(userid)
            if (server_var(wcs_tmp3) == 0) do
            {
               es wcsgroup set is_slowed event_var(userid) 1
               es_delayed server_var(wcs_duration) wcsgroup set is_slowed event_var(userid) 0
               es wcs_setfx speed event_var(userid) = server_var(wcs_speed) server_var(wcs_duration)
               es wcs_centertell event_var(userid) Slowed by event_var(es_attackername) for server_var(wcs_duration) seconds!
               es wcs_centertell event_var(attacker) You slowed event_var(es_username) for server_var(wcs_duration) seconds!
               es_getplayerlocation wcs_x1 wcs_y1 wcs_z1 event_var(userid)
               es_getplayerlocation wcs_x2 wcs_y2 wcs_z2 event_var(attacker)
               es_xmath wcs_z1 + 25
               es_xmath wcs_z2 + 25
               es est_effect 3 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) server_var(wcs_x2) server_var(wcs_y2) server_var(wcs_z2) 1 8 8 255 255 255 255
               es est_effect 10 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 45 50 1 10 10 0 255 255 255 255 0
               es_xmath wcs_z1 + 10
               es est_effect 10 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 45 50 1 10 10 0 255 255 255 255 0
            }
         }
      }
   }
}

block ward
{
   es wcsgroup set ability event_var(userid) warden
   es wcsgroup set ability_count event_var(userid) server_var(wcs_count)
   es wcsgroup set ability_parameter event_var(userid) server_var(wcs_params)
   es wcsgroup set ability_cooldown event_var(userid) 3
}

block immortal
{
   es_getgame wcs_gamecheck
   if ("Counter-Strike: Source" in server_var(wcs_gamecheck)) do
   {
      es_playsound server_var(wcs_userid) ambient/atmosphere/city_skypass1.wav 1.0
      es_delayed 1.4 es_stopsound ambient/atmosphere/city_skypass1.wav
      es_delayed 1.5 es_playsound server_var(wcs_userid) ambient/atmosphere/city_skypass1.wav .7
      es_delayed server_var(wcs_duration) es_stopsound ambient/atmosphere/city_skypass1.wav
   }
   if ("Counter-Strike: Global Offensive" in server_var(wcs_gamecheck)) do
   {
      es_playsound server_var(wcs_userid) ambient\energy\force_field_loop1.wav 1.0
      es_delayed server_var(wcs_duration) es_stopsound ambient\energy\force_field_loop1.wav
   }
   es wcs_evasion server_var(wcs_userid) 1 75
   es_delayed server_var(wcs_duration) wcs_evasion server_var(wcs_userid) 0 0
   es_tell server_var(wcs_userid) #multi #green [WCS]: #lightgreen Bid bad voodoo - 75% chance to evade for server_var(wcs_duration) seconds
   es wcs_centertell server_var(wcs_userid) Increased your chance to evade for server_var(wcs_duration) seconds!
   es_xmath wcs_duration - 1
   es_delayed server_var(wcs_duration) es_tell server_var(wcs_userid) #multi #green [WCS]: #lightgreen  Bid bad voodoo - Your evasion is fading...
   es_getplayerlocation wcs_x1 wcs_y1 wcs_z1 server_var(wcs_userid)
   es est_effect 10 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) 10 150 0.5 40 50 8 255 255 255 255 5
   es est_effect 4 #a 0 sprites/strider_bluebeam.vmt server_var(wcs_userid) server_var(wcs_duration) 10 1 1 255 255 255 180
}

I also get an error on flame predator:
[Spoiler]
Quote
[wcs/races/flame_predator/spawn 3] es_getgame: The var 'wcs_gamecheck' could not be found

This is also an error I get.
[Spoiler]
Quote
[SP] Caught an Exception:
Traceback (most recent call last):
  File "..\addons\source-python\plugins\wcs\setfx.py", line 45, in _setfx_command
    userid = int(command[2])

ValueError: invalid literal for int() with base 10: ''



[SP] Caught an Exception:
Traceback (most recent call last):
  File "..\addons\source-python\plugins\wcs\setfx.py", line 45, in _setfx_command
    userid = int(command[2])

ValueError: invalid literal for int() with base 10: ''


getplayerlocation, invalid userid

plus a datatable warning.
[Spoiler]
Quote
DataTable warning: func_areaportal: Out-of-range value (255.000000) in SendPropFloat 'm_fAmplitude', clamping.

Just got another big one:
[Spoiler]
Quote
compiled_sql, distilled_params
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1146, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1341, in _handle_dbapi_exception
    exc_info
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 202, in raise_from_cause
    reraise(type(exception), exception, tb=exc_tb, cause=cause)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 185, in reraise
    raise value.with_traceback(tb)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1139, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 450, in do_execute
    cursor.execute(statement, parameters)

sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [SQL: 'UPDATE "Players" SET totallevel=? WHERE "Players"."UserID" = ?'] [parameters: (15, 4)]



[SP] Caught an Exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1139, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 450, in do_execute
    cursor.execute(statement, parameters)
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\source-python\__init__.py", line 246, in run
    run_old(*args, **kwargs)
  File "..\addons\source-python\Python3\threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "..\addons\source-python\plugins\wcs\wcs.py", line 421, in _save_player_to_database
    session.commit()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 801, in commit
    self.transaction.commit()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 392, in commit
    self._prepare_impl()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 372, in _prepare_impl
    self.session.flush()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2019, in flush
    self._flush(objects)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2137, in _flush
    transaction.rollback(_capture_exception=True)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\langhelpers.py", line 60, in __exit__
    compat.reraise(exc_type, exc_value, exc_tb)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 186, in reraise
    raise value
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2101, in _flush
    flush_context.execute()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\unitofwork.py", line 373, in execute
    rec.execute(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\unitofwork.py", line 532, in execute
    uow
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\persistence.py", line 170, in save_obj
    mapper, table, update)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\persistence.py", line 706, in _emit_update_statements
    execute(statement, multiparams)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 914, in execute
    return meth(self, multiparams, params)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\sql\elements.py", line 323, in _execute_on_connection
    return connection._execute_clauseelement(self, multiparams, params)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1010, in _execute_clauseelement
    compiled_sql, distilled_params
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1146, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1341, in _handle_dbapi_exception
    exc_info
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 202, in raise_from_cause
    reraise(type(exception), exception, tb=exc_tb, cause=cause)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 185, in reraise
    raise value.with_traceback(tb)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1139, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 450, in do_execute
    cursor.execute(statement, parameters)

sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [SQL: 'UPDATE "Players" SET totallevel=? WHERE "Players"."UserID" = ?'] [parameters: (14, 28)]



[SP] Caught an Exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1139, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 450, in do_execute
    cursor.execute(statement, parameters)
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\source-python\__init__.py", line 246, in run
    run_old(*args, **kwargs)
  File "..\addons\source-python\Python3\threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "..\addons\source-python\plugins\wcs\wcs.py", line 421, in _save_player_to_database
    session.commit()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 801, in commit
    self.transaction.commit()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 392, in commit
    self._prepare_impl()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 372, in _prepare_impl
    self.session.flush()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2019, in flush
    self._flush(objects)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2137, in _flush
    transaction.rollback(_capture_exception=True)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\langhelpers.py", line 60, in __exit__
    compat.reraise(exc_type, exc_value, exc_tb)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 186, in reraise
    raise value
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2101, in _flush
    flush_context.execute()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\unitofwork.py", line 373, in execute
    rec.execute(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\unitofwork.py", line 532, in execute
    uow
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\persistence.py", line 170, in save_obj
    mapper, table, update)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\persistence.py", line 706, in _emit_update_statements
    execute(statement, multiparams)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 914, in execute
    return meth(self, multiparams, params)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\sql\elements.py", line 323, in _execute_on_connection
    return connection._execute_clauseelement(self, multiparams, params)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1010, in _execute_clauseelement
    compiled_sql, distilled_params
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1146, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1341, in _handle_dbapi_exception
    exc_info
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 202, in raise_from_cause
    reraise(type(exception), exception, tb=exc_tb, cause=cause)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 185, in reraise
    raise value.with_traceback(tb)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1139, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 450, in do_execute
    cursor.execute(statement, parameters)

sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [SQL: 'UPDATE "Players" SET totallevel=? WHERE "Players"."UserID" = ?'] [parameters: (14, 28)]



[SP] Caught an Exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1139, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 450, in do_execute
    cursor.execute(statement, parameters)
sqlite3.OperationalError: database is locked

The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\source-python\__init__.py", line 246, in run
    run_old(*args, **kwargs)
  File "..\addons\source-python\Python3\threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "..\addons\source-python\plugins\wcs\wcs.py", line 421, in _save_player_to_database
    session.commit()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 801, in commit
    self.transaction.commit()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 392, in commit
    self._prepare_impl()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 372, in _prepare_impl
    self.session.flush()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2019, in flush
    self._flush(objects)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2137, in _flush
    transaction.rollback(_capture_exception=True)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\langhelpers.py", line 60, in __exit__
    compat.reraise(exc_type, exc_value, exc_tb)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 186, in reraise
    raise value
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\session.py", line 2101, in _flush
    flush_context.execute()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\unitofwork.py", line 373, in execute
    rec.execute(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\unitofwork.py", line 532, in execute
    uow
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\persistence.py", line 170, in save_obj
    mapper, table, update)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\orm\persistence.py", line 706, in _emit_update_statements
    execute(statement, multiparams)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 914, in execute
    return meth(self, multiparams, params)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\sql\elements.py", line 323, in _execute_on_connection
    return connection._execute_clauseelement(self, multiparams, params)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1010, in _execute_clauseelement
    compiled_sql, distilled_params
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1146, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1341, in _handle_dbapi_exception
    exc_info
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 202, in raise_from_cause
    reraise(type(exception), exception, tb=exc_tb, cause=cause)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 185, in reraise
    raise value.with_traceback(tb)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1139, in _execute_context
    context)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 450, in do_execute
    cursor.execute(statement, parameters)

sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) database is locked [SQL: 'UPDATE "Players" SET totallevel=? WHERE "Players"."UserID" = ?'] [parameters: (11, 13)]



[SP] Caught an Exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\source-python\__init__.py", line 246, in run
    run_old(*args, **kwargs)
  File "..\addons\source-python\Python3\threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "..\addons\source-python\plugins\wcs\wcs.py", line 424, in _save_player_to_database
    race.name = race_

AttributeError: 'NoneType' object has no attribute 'name'

I am hosting at gameservers. Could this be an issue?

Thanks in advance!
« Last Edit: February 25, 2018, 04:54:29 PM by Justflawless »

Offline Manifest

  • Race & effect creator
  • Moderator
  • Level 7 Expert
  • *****
  • Posts: 1054
  • Country: dk
  • Content creator for the new WCS version by Kami.
Re: Submit your bugs!
« Reply #34 on: February 25, 2018, 06:59:38 PM »
Hi JustFlawless! :-)

For now I would like to address the following bug:

DataTable Warning:
Code: [Select]
DataTable warning: func_areaportal: Out-of-range value (255.000000) in SendPropFloat 'm_fAmplitude', clamping.
This bug is not related to WC:S or any coding in general, it is simply the map which has not been made properly, the func_areaportal has been implemented in a bad manner and also wont work as intended. But don't worry, it's a thing for optimization and will most likely not impact the overall gaming experience for your players. It is in other words harmless.


Thank you very much for reporting in the bug, we will be taking a further look in to each and every of these bugs.
I will be looking in to the flame predator issue, ward, gravity, flying and speed issues.

I assume that Kami will be looking in to the issue about levels not being saved and what else is left once he sees this and have some time on his hands. :-)

Once again thank you for the report and giving us the opportunity to improve. :-)
"BRAVORA: Bruh it is fucking operation crystal night when you are approving races."


Offline WCS - Wookie

  • Level 6 Experienced
  • *****
  • Posts: 125
  • Country: nz
  • Qualified Teacher, working in IT and loving WCS.
Re: Submit your bugs!
« Reply #35 on: March 05, 2018, 11:25:58 AM »
Hi guys,

Found this error when in wcsadmin menu, trying to use the 8 to go back option under settings doesn't take me back to the menu.

I am using the latest release of the mod.
If you like WCS and are from AUS/NZ drop by our server to take a look.


Offline WCS - Wookie

  • Level 6 Experienced
  • *****
  • Posts: 125
  • Country: nz
  • Qualified Teacher, working in IT and loving WCS.
Re: Submit your bugs!
« Reply #36 on: March 09, 2018, 02:15:27 AM »
WCS for CSS.

resetskills command removes player skill point allocation but doesn't give skillpoints back to the player to reallocate.
So I was level 11 with 0 unused skillpoints after resetting skills. Thank you in advance.
If you like WCS and are from AUS/NZ drop by our server to take a look.


Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 888
  • Country: de
  • Pokemon Master!
Re: Submit your bugs!
« Reply #37 on: March 09, 2018, 05:34:38 PM »
I cannot reproduce the last bug you posted. What does the chat message say that you get?

it should be something like:

Code: [Select]
[WCS] Your skills has been reset. Type 'spendskills' to spend your 54 unused skill points.
does it say the right number in the chat message or is it 0 there too?


Edit: I pushed a new update to GitHub which adds working Back buttons to the admin menus :)
« Last Edit: March 09, 2018, 05:46:03 PM by Kami »

Offline WCS - Wookie

  • Level 6 Experienced
  • *****
  • Posts: 125
  • Country: nz
  • Qualified Teacher, working in IT and loving WCS.
Re: Submit your bugs!
« Reply #38 on: March 10, 2018, 08:36:53 AM »
Okay so that bug about it not resetting skills isn't happening anymore. But I am now getting a chat message when alive when I type resetskills that if I type resetskills again I will die. I type it again and it just says the same message and doesn't kill me or reset my skills. Same result if I access the resetskills command from the wcs menu.

Update: Newest version on github doesn't have this error.
« Last Edit: March 10, 2018, 08:55:20 AM by WCS - Wookie »
If you like WCS and are from AUS/NZ drop by our server to take a look.


Offline WCS - Wookie

  • Level 6 Experienced
  • *****
  • Posts: 125
  • Country: nz
  • Qualified Teacher, working in IT and loving WCS.
Re: Submit your bugs!
« Reply #39 on: March 11, 2018, 01:59:54 AM »
Okay so this is a new one. Getting this error in the console of my CSS server.

[Spoiler]
Code: [Select]
[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/packages/source-python/__init__.py", line 246, in run
    run_old(*args, **kwargs)
  File "../addons/source-python/Python3/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "../addons/source-python/plugins/wcs/wcs.py", line 665, in _delete_race
    delete = session.query(Races).filter(Races.UserID==self.UserID,Races.name==self.currace).one_or_none()
  File "../addons/source-python/packages/site-packages/sqlalchemy/orm/query.py", line 2698, in one_or_none
    "Multiple rows were found for one_or_none()")
 
sqlalchemy.orm.exc.MultipleResultsFound: Multiple rows were found for one_or_none()

and

[Spoiler]
Code: [Select]
[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/packages/source-python/__init__.py", line 246, in run
    run_old(*args, **kwargs)
  File "../addons/source-python/Python3/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "../addons/source-python/plugins/wcs/wcs.py", line 424, in _save_player_to_database
    race = session.query(Races).filter(Races.UserID==self.UserID,Races.name==race_).one_or_none()
  File "../addons/source-python/packages/site-packages/sqlalchemy/orm/query.py", line 2698, in one_or_none
    "Multiple rows were found for one_or_none()")
 
sqlalchemy.orm.exc.MultipleResultsFound: Multiple rows were found for one_or_none()

This is when I try to reset a player's race using the wcsadmin panel. Also occurs in the second instance when trying to completely reset a player.
If you like WCS and are from AUS/NZ drop by our server to take a look.


Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 888
  • Country: de
  • Pokemon Master!
Re: Submit your bugs!
« Reply #40 on: March 11, 2018, 05:27:03 PM »
Again I cannot recreate this error, but from the exception it looks like you somehow managed to have the same race saved two times for the same player (or have two players saved with the same database UserID which should not be possible). Can you send me your database in a private message so I can check out whats wrong?

You can find it in addons/source-python/data/plugins/wcs

Offline RonnnY

  • Level 0 Beginner
  • Posts: 5
  • <3 WCS :)
Re: Submit your bugs!
« Reply #41 on: April 13, 2018, 10:29:45 AM »
HI there,
So started a CSGO server with the mod WCS. I am running Linux and i stumbeled over some Problems.

I want to Change the XP gained and needed, but its no use.

If for example i change ('player_bomb_plant_experience', 10) from 10 to 100  it still always gives 10 xp.
also experience_system = xp_config.cvar('experience_system', 1) #done is i think so set to 1.
But in the WCS.py there are those lines:
 config.cfgdata['experience_system'] == 1:
            level_string = config.cfgdata['custom_system'].split(',')

mfg RonnnY


EDIT: btw. Some Races does not work correctly. all of the revives skill work infinitely
« Last Edit: April 13, 2018, 10:40:15 AM by RonnnY »

Offline phixious

  • Level 1 Trained Beginner
  • *
  • Posts: 26
  • Country: us
  • <3 WCS :)
Re: Submit your bugs!
« Reply #42 on: April 13, 2018, 02:03:23 PM »
You should be able to just modify the config files if you are using the newest build. in /csgo/cfg/source-python/wcs/wcs_xp.cfg

there should be no need to modify actual code.

To compare to your desire:

Quote from: wcs_xp.cfg
// Default Value: 10
   player_bomb_plant_experience 10


I might be misunderstanding your desired outcome though. Please let me know if I just am not getting what you are really trying to do...

Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 888
  • Country: de
  • Pokemon Master!
Re: Submit your bugs!
« Reply #43 on: April 13, 2018, 03:05:13 PM »
Phixious ist right, you are trying to change the core files instead of the config. Since the core only reads the Default values for the config when it is first created your new values will not get read by the mod.

As phixious  also  said configs are found in csgo/cfg/source-python/wcs

Offline RonnnY

  • Level 0 Beginner
  • Posts: 5
  • <3 WCS :)
Re: Submit your bugs!
« Reply #44 on: April 14, 2018, 11:28:49 PM »
I got a problem with the standart orc race 3.resurrection skill.
Everytime an Orc dies, he respawns 3 sek later, it doesent matter if the skill is lv 1 or maxed.
Also i noticed that the last skill up is set to 100 i reduced it to 35 like in the description, but it still respawns 100% of the times.